---
title: wls security policy
keywords: documentation
layout: documentation
sidebar: wls_config_sidebar
toc: false
---
## Overview

This resource allows you to manage security authorization policies in an WebLogic Security Realm.

## Attributes



Attribute Name                                            | Short Description                                                       |
--------------------------------------------------------- | ----------------------------------------------------------------------- |
[action](#wls_security_policy_action)                     | action to apply authorization policy on for a weblogic object.          |
[domain](#wls_security_policy_domain)                     | With this parameter, you identify the domain, where your objects is in. |
[ensure](#wls_security_policy_ensure)                     | The basic property that the resource should be in.                      |
[name](#wls_security_policy_name)                         | The name.                                                               |
[policyexpression](#wls_security_policy_policyexpression) | A string representation of an security authorization policy
            |
[provider](#wls_security_policy_provider)                 | resource.                                                               |
[resourcename](#wls_security_policy_resourcename)         | The name of the jms resource
                                           |
[resourcetype](#wls_security_policy_resourcetype)         | The resource type for the policy
                                       |
[timeout](#wls_security_policy_timeout)                   | Timeout for applying a resource.                                        |




### action<a name='wls_security_policy_action'>

action to apply authorization policy on for a weblogic object.



[Back to overview of wls_security_policy](#attributes)

### domain<a name='wls_security_policy_domain'>

With this parameter, you identify the domain, where your objects is in.

The domain name is part of the full qualified name of any WebLogic object on a system. Let's
say we want to describe a WebLogic server. The full qualified name is:

    wls_server{'domain_name/server_name':
      ensure => present,
      ...
    }

When you don't specify a domain name, Puppet will use `default` as domain name. For every domain
you want to manage, you'll have to put a `wls_settings` in your manifest.



[Back to overview of wls_security_policy](#attributes)

### ensure<a name='wls_security_policy_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 

[Back to overview of wls_security_policy](#attributes)

### name<a name='wls_security_policy_name'>

The name.



[Back to overview of wls_security_policy](#attributes)

### policyexpression<a name='wls_security_policy_policyexpression'>

A string representation of an security authorization policy



[Back to overview of wls_security_policy](#attributes)

### provider<a name='wls_security_policy_provider'>

The specific backend to use for this `wls_security_policy`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: 



[Back to overview of wls_security_policy](#attributes)

### resourcename<a name='wls_security_policy_resourcename'>

The name of the jms resource



[Back to overview of wls_security_policy](#attributes)

### resourcetype<a name='wls_security_policy_resourcetype'>

The resource type for the policy



[Back to overview of wls_security_policy](#attributes)

### timeout<a name='wls_security_policy_timeout'>

Timeout for applying a resource.

To be sure no Puppet operation, hangs a Puppet daemon, all operations have a timeout. When this timeout
expires, Puppet will abort the current operation and signal an error in the Puppet run.

With this parameter, you can specify the length of the timeout. The value is specified in seconds. In
this example, the `timeout`  is set to `600`  seconds.

    wls_server{'my_server':
      ...
      timeout => 600,
    }

The default value for `timeout` is 120 seconds.



[Back to overview of wls_security_policy](#attributes)
