#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:database_leasing_basis_connection_retry_count, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum number of times Database Leasing will try to obtain a valid connection from the Data Source. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         database_leasing_basis_connection_retry_count => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:database_leasing_basis_connection_retry_count']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DatabaseLeasingBasisConnectionRetryCount')
end
