#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_wsat_issued_token_enabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Specifies whether to use <code>issuedtoken</code> to enable authentication between the WS-AT coordinator and participant. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_wsat_issued_token_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_wsat_issued_token_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTACluster/%{cluster_name}/WSATIssuedTokenEnabled')
end
