#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:remote_cluster_address, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Set the foreign cluster. Cluster infrastructure uses this address to connect to foreign cluster for HTTP Session WAN/MAN failover. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         remote_cluster_address => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:remote_cluster_address']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('RemoteClusterAddress')
end
