#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:replication_timeout_enabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Indicates if timeout should be applied to session replication calls. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         replication_timeout_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:replication_timeout_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ReplicationTimeoutEnabled')
end
