#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:session_state_query_request_timeout, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum time, in seconds, for session state query request to wait for response from cluster members. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         session_state_query_request_timeout => '30'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:session_state_query_request_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SessionStateQueryRequestTimeout')
end
