#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:unicastport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  include EasyType::Validators::PortNumber

  desc <<-EOD
  The port for the cluster unicast listener. 

  Here is an example on how to use this on a coherence cluster:

      wls_coherence_cluster{'my_coherence_cluster':
        ...
        unicastport => '9000',
        ...
      }

  EOD

  maps_to('UnicastListenPort')

end
