#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:datasource_type, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Described the type of datasource.

  The data source type. Valid types are:

  - GENERIC - generic data source
  - MDS - multi data source
  - AGL - Active GridLink data source
  - UCP - Universal Connection Pool data source
  - PROXY - proxy for multiple tenant data sources

  EOD

  newvalues('absent','GENERIC','MDS','AGL', 'UCP', 'PROXY')

  maps_to('JDBCResource/%{datasource_name}/DatasourceType') { :absent }

end
