#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:pool_ignore_in_use_connections_enabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Enables the data source to be shutdown even if connections obtained from the pool are still in use. 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         pool_ignore_in_use_connections_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:pool_ignore_in_use_connections_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/IgnoreInUseConnectionsEnabled')
end
