#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:pool_statement_cache_size, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The number of prepared and callable statements stored in the cache. (This may increase server performance.)  WebLogic Server can reuse statements in the cache without reloading the statements, which can increase server performance. Each connection in the connection pool has its own cache of statements.  Setting the size of the statement cache to 0 turns off statement caching. 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         pool_statement_cache_size => '10'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:pool_statement_cache_size']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/StatementCacheSize')
end
