#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:testfrequency, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-EOD
    The number of seconds a WebLogic Server instance waits between attempts when testing unused connections. (Requires that you specify a Test Table Name.) Connections that fail the test are closed and reopened to re-establish a valid physical connection.

  EOD

  defaultto '120'

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/TestFrequencySeconds')

end
