#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:target, :array_matching => :all) do
  include EasyType

  desc 'The target name'

  to_translate_to_resource do |raw_resource|
    raw_resource['target'].split(',') unless raw_resource['target'].nil?
  end

  def insync?(is)
    is = [] if is == :absent || is.nil?
    is.sort == should.sort
  end
end

def target
  self[:target] ? self[:target].join(',') : ''
end

child_of(:wls_safagent) { autorequire_when('SAFAgent') }
child_of(:wls_server) { autorequire_when('Server') }
child_of(:wls_cluster) { autorequire_when('Cluster') }
child_of(:wls_jmsserver) { autorequire_when('JMSServer') }


def full_name(name)
  "#{domain}/#{name}"
end
