#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_filter, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  The filter configuration for the server log file.  A filter configuration defines simple filtering rules to limit the volume of log messages written to the log file. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         log_file_filter => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:log_file_filter']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{domain_name}/LogFileFilter')
end
