#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_concurrent_long_running_requests, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  

  desc <<-EOD
  The maximum number of running long-running requests that can be submitted to all the Managed Executor Services or Managed Scheduled Executor Services in the global/domain partition on the current server. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         max_concurrent_long_running_requests => '50'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:max_concurrent_long_running_requests']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxConcurrentLongRunningRequests')
end
