#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:dynamic_cluster_cooloff_period_seconds, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Get the cool-off period (in seconds) used by the Elasticity Framework while performing scale up or scale down operations. If a scale up or scale down operation was performed, subsequent requests for scale up or down operations will be ignored by the Elasticity Framework during this period. 

  An example on how to use this:

      wls_dynamic_cluster {a_wls_dynamic_cluster :
         ...
         dynamic_cluster_cooloff_period_seconds => '900'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_dynamic_cluster:dynamic_cluster_cooloff_period_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DynamicClusterCooloffPeriodSeconds')
end
