#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:server_template, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The server template used to create dynamic servers. 

  An example on how to use this:

      wls_dynamic_cluster {a_wls_dynamic_cluster :
         ...
         server_template => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_dynamic_cluster:server_template']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ServerTemplate')
end
