#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jndi_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The global JNDI name used to look up a connection factory within a clustered JNDI namespace.  In a clustered environment, this name is propagated to the entire cluster. If you want the JNDI name to be bound only on the local server, and not propagated to the rest of the cluster, then use the <code>Local JNDI Name</code> setting.  If not specified, then the connection factory is not bound into a clustered JNDI namespace. 

  An example on how to use this:

      wls_jms_connection_factory {a_wls_jms_connection_factory :
         ...
         jndi_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_connection_factory:jndi_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JNDIName')
end
