#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:destination_keys, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-EOD
  The list of potential destination keys for sorting the messages that arrive on a JMS destination.  The keys are ordered from most significant to least significant. If more than one key is specified, a key based on the JMSMessageID can only be the last key in the list.  Note: If JMSMessageID is not defined in the key, it is implicitly assumed to be the last key and is set as "Ascending" (FIFO) for the sort order.

  An example on how to use this:

      wls_jms_topic {a_wls_jms_topic :
         ...
         destination_keys => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_topic:destination_keys']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DestinationKeys')
end
