#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:paging_directory, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
   Specifies where message bodies are written when the size of the message bodies in the JMS server exceeds the message buffer size.  If unspecified, messages are written to the default <code>tmp</code> directory inside the <code>server-name</code> subdirectory of a domain's root directory. For example, <code>domain-name/servers/server-name/tmp</code>, where <code>domain-name</code> is the root directory of your domain.   For best performance, this directory should not be the same as the directory used by the JMS server's persistent store.  

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         paging_directory => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:paging_directory']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PagingDirectory')
end
