#
# See the file "LICENSE" for the full license governing this code.
#
  newproperty(:password, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
  The password used by a Node Manager client to connect to the underlying service to which the Node Manager client delegates operations.  When you get the value of this attribute, WebLogic Server does the following: <ol> <li>Retrieves the value of the <code>PasswordEncrypted</code> attribute.</li> <li>Decrypts the value and returns the unencrypted password as a String.</li> </ol> When you set the value of this attribute, WebLogic Server does the following: <ol> <li>Encrypts the value.</li> <li>Sets the value of the <code>PasswordEncrypted</code> attribute to the encrypted value.</li> </ol> Caution: Using the (<code>Password</code>) attribute is a potential security risk because the String object (which contains the unencrypted password), remains in the JVM's memory until garbage collection removes it and the memory is reallocated. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory. Therefore, you should use the <code>PasswordEncrypted()</code> attribute instead. 

  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         password => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:password']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('NodeManager/%{machine_name}/Password')
end
