#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:post_bind_uid, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The UNIX user ID (UID) that a server running on this machine will run under after it has carried out all privileged startup actions. Otherwise, the server will continue to run under the account under which it was started.(Requires that you enable Post-Bind UID.) 

  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         post_bind_uid => 'nobody'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:post_bind_uid']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PostBindUID')
end
