#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:post_bind_uid_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether a server running on this machine binds to a UNIX User ID (UID) after it has carried out all privileged startup actions. 

  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         post_bind_uid_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:post_bind_uid_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('PostBindUIDEnabled')
end
