#
# See the file "LICENSE" for the full license governing this code.
#
  newproperty(:session_password, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
  The decrypted JavaMail Session password attribute, for use only temporarily in-memory; the value returned by this attribute should not be held in memory long term.  The value is stored in an encrypted form in the descriptor file and when displayed in an administration console. 

  An example on how to use this:

      wls_mail_session {a_wls_mail_session :
         ...
         session_password => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_mail_session:session_password']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SessionPassword')
end
