#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:transaction_timeout, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The amount of time, in seconds, that the transaction manager waits for each transaction before timing it out.  <ul> <li> Transaction timeouts are used when the QOS (quality of service) for a messaging bridge instance requires transactions. </li>  <li> If a bridge is configured with Exactly-once QOS, the receiving and sending is completed in one transaction. </li> </ul> 

  An example on how to use this:

      wls_messaging_bridge {a_wls_messaging_bridge :
         ...
         transaction_timeout => '30'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_messaging_bridge:transaction_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('TransactionTimeout')
end
