#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ds_global_transactions_protocol, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Determines the transaction protocol (global transaction processing behavior) for the data source. Options include:  <ul> <li> TwoPhaseCommit - Standard XA transaction processing. Requires an XA driver. </li>  <li> LoggingLastResource - A performance enhancement for one non-XA resource. </li>  <li> EmulateTwoPhaseCommit - Enables one non-XA resource to participate in a global transaction, but has some risk to data. </li>  <li> OnePhaseCommit - One-phase XA transaction processing using a non-XA driver. This is the default setting. </li>  <li> None - Support for local transactions only. </li> </ul> 

  An example on how to use this:

      wls_multi_datasource {a_wls_multi_datasource :
         ...
         ds_global_transactions_protocol => 'OnePhaseCommit'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_multi_datasource:ds_global_transactions_protocol']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCDataSourceParams/%{multi_datasource_name}/GlobalTransactionsProtocol')
end
