#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:pool_initial_capacity, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The number of physical connections to create when creating the connection pool in the data source. If unable to create this number of connections, creation of the data source will fail. 

  An example on how to use this:

      wls_multi_datasource {a_wls_multi_datasource :
         ...
         pool_initial_capacity => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_multi_datasource:pool_initial_capacity']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCConnectionPoolParams/%{multi_datasource_name}/InitialCapacity')
end
