#
# See the file "LICENSE" for the full license governing this code.
#
$LOAD_PATH.unshift File.join(File.dirname(__FILE__), '../..')
require 'puppet_x/enterprisemodules/weblogic/core'

module Puppet
  #
  Type.newtype(:wls_path_service) do
    include Puppet_X::EnterpriseModules::WebLogic::Type

    desc <<-EOD
    This resource allows you to manage path servers

    Here is an example on how you should use this:

        wls_path_service { 'jmy_service':
          ensure              => 'present',
          target              => ['MyCluster'],
          targettype          => ['Cluster'],
          persistentstore     => 'mystore',
          persistentstoretype => 'JDBCStore',
        }

    EOD
    bean_type('PathService')

    ensurable
    parameter :domain
    parameter :name
    parameter :path_service_name

    property :target
    property :targettype
    property :persistentstore
    property :persistentstoretype

    add_title_attributes(:path_service_name)
  end
end
