#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:local_jndi_name, :parent => Puppet::Parameter::WlsProperty) do
  extend SAFImportedDestinationObjectProperty

  desc <<-EOD
  The local JNDI name of the remote destination. 

  An example on how to use this:

      wls_saf_imported_destination_object {a_wls_saf_imported_destination_object :
         ...
         local_jndi_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_saf_imported_destination_object:local_jndi_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('LocalJNDIName')
end
