newproperty(:role_mapper_types, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Returns the types of Role Mapping providers that may be created in this security realm, for example, <code>weblogic.security.providers.authorization.DefaultRoleMapper</code>. Use this method to find the available types to pass to <code>createRoleMapper</code> 

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         role_mapper_types => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_security_realm:role_mapper_types']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('RoleMapperTypes')
end
