#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:cluster_weight, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The proportion of the load that this server will bear, relative to other servers in a cluster.  If all servers have the default weight or the same weight, each bears an equal proportion of the load. If one server has weight 50 and all other servers have weight 100, the 50-weight server will bear half as much load as any other server. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         cluster_weight => '100'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:cluster_weight']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ClusterWeight')
end
