#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jdbc_logging_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether this server maintains a JDBC log file. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         jdbc_logging_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:jdbc_logging_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('JDBCLoggingEnabled')
end
