#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_date_format_pattern, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The date format pattern used for rendering dates in the  log. The DateFormatPattern string conforms to the specification of the <code>java.text.SimpleDateFormat</code> class. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         log_date_format_pattern => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:log_date_format_pattern']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{server_name}/DateFormatPattern')
end
