#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_count, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum number of log files that the server creates when it rotates the log. This number does not include the file that the server uses to store current messages. (Requires that you enable Number of Files Limited.) 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         log_file_count => '7'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:log_file_count']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{server_name}/FileCount')
end
