#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_monitoring_throttle_message_length, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Cut-off length of the log message for evaluation during throttle period. The log message length is truncated to this length for evaluation of repeated logging events. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         log_monitoring_throttle_message_length => '50'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:log_monitoring_throttle_message_length']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{server_name}/LogMonitoringThrottleMessageLength')
end
