#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_concurrent_new_threads, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum number of running threads that can be created by all the Managed Thread Factories in the server. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         max_concurrent_new_threads => '100'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:max_concurrent_new_threads']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxConcurrentNewThreads')
end
