#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_http_message_size, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum number of bytes allowed in messages that are received over the HTTP protocol. If you configure custom network channels for this server, each channel can override this maximum message size.  This maximum message size helps guard against a denial of service attack in which a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.  A value of -1 causes the HTTP protocol to use the maximums that are specified elsewhere along the order of precedence. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         max_http_message_size => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:max_http_message_size']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxHTTPMessageSize')
end
