#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:native_io_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether native I/O is enabled for the server. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         native_io_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:native_io_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('NativeIOEnabled')
end
