#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:replication_ports, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  When WLS is running on Exalogic machines, cluster replication traffic could go over multiple replication channels. However multiple replication channels need not be configured on each clustered server instance. Only one replication channel with explicit IP-Address needs to be configured for each server and replicationPorts range can be specified for each server. For eg. range 7001-7010 will create 10 replication channels with ports 7001 to 7010 for the given server. These channels inherits all the properties of the configured replication channel except the listen port.Names of these channels will be derived from the configured replication channel with suffic {x} added where x could be 1,2.. as per the number of ports specified. Public ports are same as the listen port for these additional channels. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         replication_ports => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:replication_ports']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ReplicationPorts')
end
