#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:frontendhost, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::IPFQDN

  desc <<-EOD
  The frontendhost of this cluster.
  You can use an ip address like this:
      wls_cluster { 'aCluster':
        ...
        frontendhost => '10.10.10.30',
        ...
      }
  or use a host name like this:
      wls_cluster { 'aCluster':
        ...
        frontendhost => 'myhost.exaqmple.com',
        ...
      }
  For more information checkout the documentation of propery [ClusterMBean.FrontendHost](http://docs.oracle.com/middleware/1213/wls/WLMBR/mbeans/ClusterMBean.html#FrontendHost)
  in the WebLogic documentation. 
  EOD

  maps_to('WebServer/%{server_name}/FrontendHost')

end