#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:custom_identity_key_store_type, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The type of the keystore. Generally, this is <code>JKS</code>. If using the Oracle Key Store Service, this would be <code>KSS</code>  If empty or null, then the JDK's default keystore type (specified in <code>java.security</code>) is used. The custom identity key store type is only used if ServerMBean.KeyStores is CUSTOM_IDENTITY_AND_JAVA_STANDARD_TRUST, CUSTOM_IDENTITY_AND_CUSTOM_TRUST or CUSTOM_IDENTITY_AND_COMMAND_LINE_TRUST. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         custom_identity_key_store_type => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:custom_identity_key_store_type']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CustomIdentityKeyStoreType')
end
