#
# See the file "LICENSE" for the full license governing this code.
#
  newproperty(:custom_private_key_pass_phrase, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
  The passphrase used to retrieve the server's private key from the keystore. This passphrase is assigned to the private key when it is generated. A value of <tt>null</tt> indicates that the network channel uses the pass phrase specified in the server's SSL configuration. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         custom_private_key_pass_phrase => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:custom_private_key_pass_phrase']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CustomPrivateKeyPassPhrase')
end
