#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:outbound_private_key_pass_phrase, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The passphrase used to retrieve the outbound private key from the keystore. This passphrase is assigned to the private key when it is generated. This attribute value is derived from other settings and cannot be physically set.   The returned value is determined as follows: <ul> <li>If <code>{@link #isOutboundPrivateKeyEnabled}</code> and <code>{@link #isChannelIdentityCustomized}</code> return true, the value from <code>{@link #getCustomPrivateKeyPassPhrase}</code> is returned. <li> Otherwise, the value from <code>{@link SSLMBean#getOutboundPrivateKeyPassPhrase}</code> is returned from the <code>{@link ServerMBean}</code> for the channel. </ul>  

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         outbound_private_key_pass_phrase => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:outbound_private_key_pass_phrase']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('OutboundPrivateKeyPassPhrase')
end
