#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:buzz_address, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Buzz endpoint address. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         buzz_address => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:buzz_address']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('BuzzAddress')
end
