#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_logger_severity, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The minimum severity of log messages going to all log destinations. By default all messages are published.  

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         log_logger_severity => 'Info'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:log_logger_severity']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{template_name}/LoggerSeverity')
end
