#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_memory_buffer_filter, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The filter configuration for messages that are stored in the log memory buffer. By default, all log messages are cached. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         log_memory_buffer_filter => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:log_memory_buffer_filter']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Log/%{template_name}/MemoryBufferFilter')
end
