#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_concurrent_long_running_requests, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum number of running long-running requests that can be submitted to all the Managed Executor Services or Managed Scheduled Executor Services in the server. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         max_concurrent_long_running_requests => '100'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:max_concurrent_long_running_requests']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxConcurrentLongRunningRequests')
end
