#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_outbound_private_key_alias, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The string alias used to store and retrieve the outbound private key in the keystore. This private key is associated with either a server or a client digital certificate. This attribute value is derived from other settings and cannot be physically set.   The returned value is determined as follows: <ul> <li>If the <code>{@link #isUseClientCertForOutbound}</code> returns true, the value from <code>{@link #getClientCertAlias}</code> is returned. <li> Otherwise, the value from <code>{@link #getServerPrivateKeyAlias}</code> is returned. </ul>  

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         ssl_outbound_private_key_alias => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:ssl_outbound_private_key_alias']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{template_name}/OutboundPrivateKeyAlias')
end
