#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:cluster, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Returns the cluster this singleton service is associated with. 

  An example on how to use this:

      wls_singleton_service {a_wls_singleton_service :
         ...
         cluster => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_singleton_service:cluster']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Cluster')
end
